 source/board/flash/ospi/flash_nor_ospi.c | 14 ++++++++++----
 source/drivers/ospi/v0/ospi_v0.c         |  9 ++++++---
 2 files changed, 16 insertions(+), 7 deletions(-)

diff --git a/source/board/flash/ospi/flash_nor_ospi.c b/source/board/flash/ospi/flash_nor_ospi.c
index 981bc0478b..f8ea6e569d 100644
--- a/source/board/flash/ospi/flash_nor_ospi.c
+++ b/source/board/flash/ospi/flash_nor_ospi.c
@@ -127,7 +127,7 @@ static int32_t Flash_norOspiWaitReady(Flash_Config *config, uint32_t timeOut)
     uint8_t dummyBits = 0;
 
     /* Do RDSR based on xspi WIP status */
-    if((devCfg->xspiWipRdCmd != 0x00) && (obj->currentProtocol == FLASH_CFG_PROTO_8D_8D_8D))
+    if((devCfg->xspiWipRdCmd != 0x00) && ((obj->currentProtocol == FLASH_CFG_PROTO_8D_8D_8D)||(obj->currentProtocol == FLASH_CFG_PROTO_8S_8S_8S)))
     {
         /* Check XSPI WIP configuration */
         cmd = devCfg->xspiWipRdCmd;
@@ -818,6 +818,12 @@ static int32_t Flash_norOspiReadId(Flash_Config *config)
         cmdAddr = 0U;
         idNumBytes = 4; /* Can't read odd bytes in octal DDR */
     }
+    else if(obj->currentProtocol == FLASH_CFG_PROTO_8S_8S_8S)
+    {
+        dummyBits = 2;
+        cmdAddr = 0U;
+        idNumBytes = 4;
+    }
     else
     {
         /* default config */
@@ -1175,15 +1181,15 @@ static int32_t Flash_norOspiOpen(Flash_Config *config, Flash_Params *params)
         status += Flash_norOspiSetModeDummy(config, obj->ospiHandle);
 
         /* Set RD Capture Delay by reading ID */
-        uint32_t readDataCapDelay = 4U;
+        uint32_t readDataCapDelay = 0U;
         OSPI_setRdDataCaptureDelay(obj->ospiHandle, readDataCapDelay);
         status = Flash_norOspiReadId(config);
 
-        while((status != SystemP_SUCCESS) && (readDataCapDelay > 0U))
+        while((status != SystemP_SUCCESS) && (readDataCapDelay < 4U))
         {
-            readDataCapDelay--;
             OSPI_setRdDataCaptureDelay(obj->ospiHandle, readDataCapDelay);
             status = Flash_norOspiReadId(config);
+            readDataCapDelay++;
         }
 
         /* Enable PHY if attack vector present and PHY mode is enabled */
diff --git a/source/drivers/ospi/v0/ospi_v0.c b/source/drivers/ospi/v0/ospi_v0.c
index baa7408e0b..a3143b5b70 100644
--- a/source/drivers/ospi/v0/ospi_v0.c
+++ b/source/drivers/ospi/v0/ospi_v0.c
@@ -744,11 +744,14 @@ void OSPI_setProtocol(OSPI_Handle handle, uint32_t protocol)
             /* Set transfer lines for sending data */
             CSL_REG32_FINS(&pReg->DEV_INSTR_WR_CONFIG_REG, OSPI_FLASH_CFG_DEV_INSTR_WR_CONFIG_REG_DATA_XFER_TYPE_EXT_MODE_FLD, data);
 
-            if(dtr)
+            //if(dtr)
             {
-                if(protocol == OSPI_NOR_PROTOCOL(8,8,8,1))
+                if(protocol == OSPI_NOR_PROTOCOL(8,8,8,1)||protocol == OSPI_NOR_PROTOCOL(8,8,8,0))
                 {
-                    OSPI_enableDDR(handle);
+                    if(protocol == OSPI_NOR_PROTOCOL(8,8,8,1))
+                    {
+                        OSPI_enableDDR(handle);
+                    }
                     OSPI_setDualOpCodeMode(handle);
                 }
                 if(protocol == OSPI_NOR_PROTOCOL(4,4,4,1))
